## SYNOPSIS

           chattr [ -RV ] [ -v version ] [ mode ] files...

## DESCRIPTION

           chattr changes the  file  attributes  on  a  Linux  second
           extended file system.

           The format of a symbolic mode is +-=[ASacDdistu].

           The  operator  `+'  causes  the  selected attributes to be
           added to the existing attributes of the files; `-'  causes
           them  to  be  removed;  and `=' causes them to be the only
           attributes that the files have.

           The letters `ASacDdijsu' select the new attributes for the
           files:  don't  update  atime (A), synchronous updates (S),
           synchronous directory updates (D), append only  (a),  com
           pressed  (c), no dump (d), immutable (i), data journalling
           (j), secure deletion (s), and undeletable (u).

## OPTIONS

           -R     Recursively change attributes  of  directories  and
                  their  contents.  Symbolic links encountered during
                  recursive directory traversals are ignored.

           -V     Be verbose with chattr's output and print the  pro
                  gram version.

           -v version
                  Set the file's version/generation number.

## ATTRIBUTES

           When  a  file  with the 'A' attribute set is accessed, its
           atime record is  not  modified.   This  avoids  a  certain
           amount of disk I/O for laptop systems.

           A  file  with  the  `a'  attribute set can only be open in
           append mode for writing.  Only the superuser  can  set  or
           clear this attribute.

           A  file  with  the `c' attribute set is automatically com
           pressed on the disk by the kernel. A read from  this  file
           returns uncompressed data. A write to this file compresses
           data before storing them on the disk.

           When a directory with the `D' attribute set  is  modified,
           the changes are written synchronously on the disk; this is
           equivalent to the `dirsync' mount option applied to a sub
           set of the files.

           A  file  with  the  `d' attribute set is not candidate for
           itself,  if   the   filesystem   is   mounted   with   the
           "data=ordered"  or  "data=writeback"  options.   When  the
           filesystem is mounted with  the  "data=journalled"  option
           all file data is already journalled and this attribute has
           no effect.

           When a file with the `s' attribute  set  is  deleted,  its
           blocks are zeroed and written back to the disk.

           When  a  file  with the `S' attribute set is modified, the
           changes are written synchronously on  the  disk;  this  is
           equivalent  to the `sync' mount option applied to a subset
           of the files.

           A file with the 't' attribute  will  not  have  a  partial
           block  fragment at the of the file merged with other files
           (for those filesystems which support tail-merging).   This
           is  necessary for applications such as LILO which read the
           filesystem directly, and who don't understand  tail-merged
           files.

           When  a  file  with  the `u' attribute set is deleted, its
           contents are saved.  This allows the user to ask  for  its
           undeletion.

           The  'X' attribute is used by the experimental compression
           patches to indicate that a raw contents  of  a  compressed
           file  can  be  accessed directly.  It currently may not be
           set or reset using chattr(1), although it can be displayed
           by lsattr(1).

           The  'Z' attribute is used by the experimental compression
           patches to indicate a compressed file is  dirty.   It  may
           not  be  set  or reset using chattr(1), although it can be
           displayed by lsattr(1).

## AUTHOR

           chattr was written by Remy Card <Remy.Card@linux.org>.

## BUGS AND LIMITATIONS

           As of Linux 2.2, the `c', 's',  and `u' attribute are  not
           honored by the kernel filesystem code.    These attributes
           will be implemented in a future ext2 fs version.

           The `j' option is only useful if the filesystem is mounted
           as ext3.

           The  `D'  option is only useful on Linux kernel 2.5.19 and
           later.

## AVAILABILITY